summaryrefslogtreecommitdiffstats
path: root/.github/workflows/mac-build.yml
diff options
context:
space:
mode:
Diffstat (limited to '.github/workflows/mac-build.yml')
-rw-r--r--.github/workflows/mac-build.yml38
1 files changed, 24 insertions, 14 deletions
diff --git a/.github/workflows/mac-build.yml b/.github/workflows/mac-build.yml
index ae0ec24..2600858 100644
--- a/.github/workflows/mac-build.yml
+++ b/.github/workflows/mac-build.yml
@@ -4,7 +4,7 @@ env:
ERROR_ON_FAILURES: 1
jobs:
xcode:
- runs-on: macos-11.0
+ runs-on: macos-11
defaults:
run:
shell: bash
@@ -37,8 +37,17 @@ jobs:
echo "::error::Failure during Build"
exit 1
}
+ - name: Run Tests
+ run: |
+ make test | tee out.txt
+ nmatches=$( grep -c "Failed 0" out.txt )
+ if [ $nmatches -lt 4 ]
+ then
+ echo "::error::Failure during Test"
+ exit 1
+ fi
clang:
- runs-on: macos-11.0
+ runs-on: macos-11
strategy:
matrix:
symbols:
@@ -63,18 +72,17 @@ jobs:
ref: core-8-6-branch
path: tcl
- name: Prepare checked out repositories
+ env:
+ SET_DISPLAY: ${{ contains(matrix.options, '--disable-aqua') }}
run: |
touch ../generic/tkStubInit.c ../doc/man.macros
mkdir "$HOME/install dir"
echo "USE_XVFB=$SET_DISPLAY" >> $GITHUB_ENV
- env:
- SET_DISPLAY: ${{ contains(matrix.options, '--disable-aqua') }}
- name: Add X11 (if required)
- if: ${{ env.USE_XVFB }}
- # This involves black magic
+ if: ${{ env.USE_XVFB == 'true' }}
run: |
brew install --cask xquartz
- sudo /opt/X11/lib/X11/xinit/privileged_startx.d/10-tmpdirs || true
+ sudo /opt/X11/libexec/privileged_startx || true
working-directory: .
- name: Build Tcl
# Note that macOS is always a 64 bit platform
@@ -125,23 +133,25 @@ jobs:
}
else
function runXvfb {
- : do nothing
+ echo Xvfb not used, this is a --enable-aqua build
}
fi
( runXvfb :0; make test-classic; exit $? ) | tee out-classic.txt || {
- echo "::error::Failure during Test"
+ echo "::error::Failure during Test (classic)"
exit 1
}
( runXvfb :0; make test-ttk; exit $? ) | tee out-ttk.txt || {
- echo "::error::Failure during Test"
+ echo "::error::Failure during Test (ttk)"
exit 1
}
- cat out-classic.txt out-ttk.txt | grep -q "Failed[[:space:]][[:space:]]*[1-9]" && {
- echo "::error::Failure during Test"
+ cat out-classic.txt | grep -q "Failed 0" || {
+ echo "::error::Failure in classic test results"
+ exit 1
+ }
+ cat out-ttk.txt | grep -q "Failed 0" || {
+ echo "::error::Failure in ttk test results"
exit 1
}
- env:
- MAC_CI: 1
- name: Carry out trial installation
run: |
make install || {